using LOoSE_sLOTS.objects;
using LOoSE_sLOTS.Utilities;
using Otter;
using System;

namespace LOoSE_sLOTS.entities
{
    class DeadCivilian : Entity
    {
        private Spritemap<string> _spriteMap;

        public DeadCivilian(float x, float y, Color color, float scale)
        {
            X = x; Y = y;
            _spriteMap = new Spritemap<string>(Assets.CIVILIAN, 50, 50);
            _spriteMap.Add("dead", new int[] { 2 }, new float[] { 5f, 5f });
            _spriteMap.Play("dead");
            _spriteMap.Color = color;
            _spriteMap.Scale = scale;
            _spriteMap.CenterOrigin();
            Graphic = _spriteMap;
            Layer = 1;
        }

        public override void Update()
        {
            base.Update();
        }//end of update

        public void Destroy()
        {
            RemoveSelf();
        }
    }
}


